Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

Delete a customer

Idempotency Supported

Deletes a particular customer identified by the a unique identifier.

This will delete the Payment Method from the gateway/vault. If you do not want the Payment Method to be deleted from the vault, set the value for the delete_payment_method parameter to false. This operation is irreversible - all data related to the customer, such as subscriptions, invoices, transactions, and reports, will be deleted. Note: This operation schedules the customer resource for deletion. It will be deleted in a few minutes.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/customers/{customer-id}/delete

Input Parameters

delete_payment_method
optional, boolean, default=true

Deletes the Payment Method from the gateway/vault.

Returns

Customer object
Resource object representing customer
Card object
Resource object representing card